Tarantella Enterprise ttacab.cgi XSS

2004-03-16T03:23:52
ID OSVDB:4380
Type osvdb
Reporter OSVDB
Modified 2004-03-16T03:23:52

Description

Vulnerability Description

Tarantella contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate variables upon submission to the "ttacab.cgi" script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Solution Description

Currently, there are no known workarounds or upgrades to correct this issue. However, Tarantella has released a patch to address this vulnerability.

Short Description

Tarantella contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate variables upon submission to the "ttacab.cgi" script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

References:

Secunia Advisory ID:11173 Related OSVDB ID: 4379 Other Advisory URL: http://www.tarantella.com/security/bulletin-09.html Bugtraq ID: 9928